> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v4-experimental/api-reference/workspaces/show/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Show workspace GET https://api.frame.io/v4/accounts/{account_id}/workspaces/{workspace_id} Show workspace details. Rate Limits: 100 calls per 1.00 minute(s) per account\_user Reference: https://next.developer.frame.io/platform/api-reference/workspaces/show ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) - `workspace_id` (string, required) ### Query parameters - `include` (enum, optional) - Allowed values: `creator` ### Headers - `api-version` (enum, required) - Allowed values: `experimental` ## Response ### 200 OK - `data` (WorkspaceWithIncludes, required) — Frame.io workspace ## Errors ### 400 Bad Request Error Bad request - `errors` (list of BadRequestErrorsItems, required) ### 401 Unauthorized Error Unauthorized - `errors` (list of UnauthorizedErrorsItems, required) ### 403 Forbidden Error Forbidden - `errors` (list of ForbiddenErrorsItems, required) ### 404 Not Found Error Not found - `errors` (list of NotFoundErrorsItems, required) ### 409 Conflict Error Conflict - `errors` (list of ConflictErrorsItems, required) ### 422 Unprocessable Entity Error Unprocessable content - `errors` (list of UnprocessableContentErrorsItems, required) ### 429 Too Many Requests Error Too many requests - `errors` (list of TooManyRequestsErrorsItems, required) ## Types ### WorkspaceWithIncludes Frame.io workspace - `account_id` (string, required) — Account ID - `created_at` (string, required) — Created Timestamp - `id` (string, required) — Workspace ID - `name` (string, required) — Workspace Name - `updated_at` (string, required) — Updated Timestamp - `image` (string, optional, nullable) — URL of the workspace image (icon). Null when no image has been uploaded. - `creator` (User, optional) — User details ### BadRequestErrorsItems - `detail` (string, required) - `source` (BadRequestErrorsItemsSource, optional) - `title` (string, optional) ### UnauthorizedErrorsItems - `detail` (string, required) - `source` (UnauthorizedErrorsItemsSource, optional) - `title` (string, optional) ### ForbiddenErrorsItems - `detail` (string, required) - `source` (ForbiddenErrorsItemsSource, optional) - `title` (string, optional) ### NotFoundErrorsItems - `detail` (string, required) - `source` (NotFoundErrorsItemsSource, optional) - `title` (string, optional) ### ConflictErrorsItems - `detail` (string, required) - `source` (ConflictErrorsItemsSource, optional) - `title` (string, optional) ### UnprocessableContentErrorsItems - `detail` (string, required) - `source` (UnprocessableContentErrorsItemsSource, optional) - `title` (string, optional) ### TooManyRequestsErrorsItems - `detail` (string, required) - `source` (TooManyRequestsErrorsItemsSource, optional) - `title` (string, optional) ### User User details - `active` (boolean, required, nullable) — User active status - `avatar_url` (string, required, nullable) — User avatar image url - `email` (string, required) — User email - `id` (string, required, nullable) — User ID - can be null for invited users with no Frame account - `name` (string, required, nullable) — User name - `adobe_user_id` (string, optional, nullable) — Adobe user ID ### BadRequestErrorsItemsSource - `pointer` (string, optional) ### UnauthorizedErrorsItemsSource - `pointer` (string, optional) ### ForbiddenErrorsItemsSource - `pointer` (string, optional) ### NotFoundErrorsItemsSource - `pointer` (string, optional) ### ConflictErrorsItemsSource - `pointer` (string, optional) ### UnprocessableContentErrorsItemsSource - `pointer` (string, optional) ### TooManyRequestsErrorsItemsSource - `pointer` (string, optional) ## Examples **Response** ```json { "data": { "account_id": "eaf8c92d-3e4b-4141-9f37-45ad9ee61666", "created_at": "2024-01-25T19:18:29.614189Z", "id": "2f046a62-f6b9-48e0-8f85-d3db025e1791", "name": "My Workspace", "updated_at": "2024-02-07T16:44:41.986478Z", "image": "https://picture.frame.io/image/convert/frameio-uploads-development/teams/d5e6011c-2bc9-4596-be05-77d562627112/team_image_original.png", "creator": { "active": true, "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN", "email": "user_email@example.com", "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9", "name": "Jon Doe", "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e" } } } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/5d7b974a-75c8-42b9-9359-2a66dc112a6c/workspaces/2a19e5c7-9766-4781-9f89-f3ee0fcffd48" headers = { "api-version": "experimental", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/5d7b974a-75c8-42b9-9359-2a66dc112a6c/workspaces/2a19e5c7-9766-4781-9f89-f3ee0fcffd48'; const options = { method: 'GET', headers: {'api-version': 'experimental', Authorization: 'Bearer '} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/5d7b974a-75c8-42b9-9359-2a66dc112a6c/workspaces/2a19e5c7-9766-4781-9f89-f3ee0fcffd48" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("api-version", "experimental") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/5d7b974a-75c8-42b9-9359-2a66dc112a6c/workspaces/2a19e5c7-9766-4781-9f89-f3ee0fcffd48") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["api-version"] = 'experimental' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.frame.io/v4/accounts/5d7b974a-75c8-42b9-9359-2a66dc112a6c/workspaces/2a19e5c7-9766-4781-9f89-f3ee0fcffd48") .header("api-version", "experimental") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.frame.io/v4/accounts/5d7b974a-75c8-42b9-9359-2a66dc112a6c/workspaces/2a19e5c7-9766-4781-9f89-f3ee0fcffd48', [ 'headers' => [ 'Authorization' => 'Bearer ', 'api-version' => 'experimental', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/5d7b974a-75c8-42b9-9359-2a66dc112a6c/workspaces/2a19e5c7-9766-4781-9f89-f3ee0fcffd48"); var request = new RestRequest(Method.GET); request.AddHeader("api-version", "experimental"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "api-version": "experimental", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/5d7b974a-75c8-42b9-9359-2a66dc112a6c/workspaces/2a19e5c7-9766-4781-9f89-f3ee0fcffd48")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```